package graphicselements;

public class Square extends Shape {
	
	public Square(){
	}
	
	public Square(Picture picture, int sideLength) {
		super(picture);
		Point p1 = new Point(0,0);
		Point p2 = new Point(0,sideLength);
		Point p3 = new Point(sideLength,sideLength);
		Point p4 = new Point(sideLength,0);
		Line l1 = new Line(p1, p2);
		Line l2 = new Line(p2, p3);
		Line l3 = new Line(p3, p4);
		Line l4 = new Line(p4, p1);
		
		getPoints().add(p1);
		getPoints().add(p2);
		getPoints().add(p3);
		getPoints().add(p4);
		
		//how will be safe two the same references in the db
		getPoints().add(p4);
		
		getLines().add(l1);
		getLines().add(l2);
		getLines().add(l3);
		getLines().add(l4);
	}

		

}
